OpenStack Compute (Nova)

broadcast ip is being assigned out as IP address

Reported by Trey Morris on 2011-07-26
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Joe Gordon
Diablo
Undecided
Unassigned

Bug Description

                 xenstore-data (MRW): vm-data/networking/02163e27b29e: {"should_create_bridge": false, "dns": ["8.8.4.4"], "label": "private", "broadcast": "10.2.1.3", "ips": [{"ip": "10.2.1.2", "netmask": "255.255.255.252", "enabled": "1"}], "mac": "02:16:3e:27:b2:9e", "rxtx_cap": 0, "should_create_vlan": false, "dhcp_server": "10.2.1.1", "gateway": "10.2.1.1"}; vm-data/networking/02163e12f68b: {"should_create_bridge": false, "dns": ["8.8.4.4"], "label": "super", "broadcast": "10.10.1.3", "ips": [{"ip": "10.10.1.2", "netmask": "255.255.255.252", "enabled": "1"}], "mac": "02:16:3e:12:f6:8b", "rxtx_cap": 0, "should_create_vlan": false, "dhcp_server": "10.10.1.1", "gateway": "10.10.1.1"}; vm-data/networking/02163e5c7ca8: {"should_create_bridge": false, "dns": ["8.8.4.4"], "label": "public", "broadcast": "10.1.1.3", "ips": [{"ip": "10.1.1.3", "netmask": "255.255.255.252", "enabled": "1"}], "mac": "02:16:3e:5c:7c:a8", "rxtx_cap": 0, "should_create_vlan": false, "dhcp_server": "10.1.1.1", "gateway": "10.1.1.1"}

As you can see here
"broadcast": "10.1.1.3", "ips": [{"ip": "10.1.1.3", "netmask": "255.255.255.252", "enabled": "1"}]
This occurred when adding 10.1.1.0/30 (silly use case I know) but the broadcast address is not being reserved and it should be.

Thierry Carrez (ttx) on 2011-07-28
Changed in nova:
importance: Undecided → Medium
status: New → Confirmed
Joe Gordon (jogo) on 2011-11-03
Changed in nova:
assignee: nobody → Joe Gordon (joe-gordon0)

Reviewed: https://review.openstack.org/1237
Committed: http://github.com/openstack/nova/commit/a6a7e936fe8fb55471dc1ecc41d8644398e45ef7
Submitter: Jenkins
Branch: master

 status fixcommitted
 done

commit a6a7e936fe8fb55471dc1ecc41d8644398e45ef7
Author: Joe Gordon <email address hidden>
Date: Tue Nov 1 12:22:13 2011 -0700

    fix bug 816630

    Off by one error fixed
    With test case

    Change-Id: I5060c0a59949d69d6f859a01e7cf5fa8e0227d8a

Changed in nova:
status: Confirmed → Fix Committed
Thierry Carrez (ttx) on 2011-11-09
Changed in nova:
milestone: none → essex-1
Thierry Carrez (ttx) on 2011-11-17
Changed in nova:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/1671
Committed: http://github.com/openstack/nova/commit/be3f35b9ead65419e548ca13d5d463deb9da3a9d
Submitter: Jenkins
Branch: stable/diablo

 tag in-stable-diablo
 done

commit be3f35b9ead65419e548ca13d5d463deb9da3a9d
Author: Joe Gordon <email address hidden>
Date: Tue Nov 1 12:22:13 2011 -0700

    fix bug 816630

    Off by one error fixed
    With test case

    (cherry picked from commit a6a7e936fe8fb55471dc1ecc41d8644398e45ef7)

    Change-Id: I5060c0a59949d69d6f859a01e7cf5fa8e0227d8a

Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers